<!DOCTYPE html>
<html lang="ja">
<!-- #include file="page_head.asp" -->
<!-- #include file="common.asp" -->
<!-- #include file="login_check.asp" -->
<%
'// 変数定義 -------------------------------------------------------------------
err_msg     = ""
x_data_id   = Request("x_data_id")
x_data_name = Request("x_data_name")
x_odbc_name = Request("x_odbc_name")
x_odbc_user = Request("x_odbc_user")
x_sql_text  = Request("x_sql_text")
x_page_size = Request("x_page_size")
x_comments  = Request("x_comments")

If mode = "insert" Then

    data_cd = hex_encode(UCase(x_data_id))

    If err_msg = "" Then
        '// Open
        objADO.Open repository_conn
        '// SQL Statement
        sql_stat = "SELECT * FROM dxt_data WHERE data_cd = ?"
        '// ADODB.Command
        objCmd.ActiveConnection = objADO
        objCmd.CommandText      = sql_stat
        objCmd.CommandType      = adCmdText
        objCmd.CommandTimeout   = 0
        '// Parameters
        objCmd.Parameters(0) = data_cd
        '// Execute SQL
        Set rec = objCmd.Execute()
        '// Result
        If Not rec.EOF Then
            err_msg = "・同じデータIDが既に登録されています。"
        End If
        '// Close
        objADO.Close
    End If

    If err_msg = "" Then
        '// Open
        objADO.Open repository_conn
        '// SQL Statement
        sql_stat = "INSERT INTO dxt_data (rec_date, rec_user, data_id, data_cd, data_name, odbc_name, odbc_user, sql_text, page_size, comments) VALUES (SYSDATE, ?, ?, ?, ?, ?, ?, ?, ?, ?)"
        '// ADODB.Command
        objCmd.ActiveConnection = objADO
        objCmd.CommandText      = sql_stat
        objCmd.CommandType      = adCmdText
        objCmd.CommandTimeout   = 0
        '// Parameters
        objCmd.Parameters(0) = Session.Contents("user_name")
        objCmd.Parameters(1) = x_data_id
        objCmd.Parameters(2) = data_cd
        objCmd.Parameters(3) = x_data_name
        objCmd.Parameters(4) = x_odbc_name
        objCmd.Parameters(5) = x_odbc_user
        objCmd.Parameters(6) = x_sql_text
        objCmd.Parameters(7) = x_page_size
        objCmd.Parameters(8) = x_comments
        '// Execute SQL
        Set rec = objCmd.Execute()
        '// Result
        If Err Then
            err_msg = "[ERROR] " & Err.Number & ":" & Err.Description
        End If
        '// Close
        objADO.Close
    End If

    If err_msg = "" Then
        x_data_id   = ""
        x_data_name = ""
        x_odbc_name = ""
        x_odbc_user = ""
        x_sql_text  = ""
        x_page_size = ""
        x_comments  = ""
        Response.Redirect "menu_data.asp"
    End If

End If
%>
<body>
<!-- #include file="page_title.asp" -->
<!-- #include file="page_menu.asp" -->
<form name="form1" method="post" class="menu_data">
<div class="wrapper">
    <!-- #include file="page_hidden.asp" -->
    <div class="name">データID</div>
    <div class="form"><input type="text" name="x_data_id" value="<%=x_data_id%>" autofocus></div>
    <div class="name">データ名</div>
    <div class="form"><input type="text" name="x_data_name" value="<%=x_data_name%>"></div>
    <div class="name">ODBC名</div>
    <div class="form"><input type="text" name="x_odbc_name" value="<%=x_odbc_name%>" list="i_odbc_name" onchange="chg_odbc_name()"></div>
    <div class="name">ODBCユーザー</div>
    <div class="form"><input type="text" name="x_odbc_user" value="<%=x_odbc_user%>" list="i_odbc_user"></div>
    <div class="name">SQL文</div>
    <div class="form"><textarea name="x_sql_text"><%=x_sql_text%></textarea></div>
    <div class="name">データ分割サイズ</div>
    <div class="form"><input type="number" name="x_page_size" value="<%=x_page_size%>"></div>
    <div class="name">コメント</div>
    <div class="form"><input type="text" name="x_comments" value="<%=x_comments%>"></div>
    <input type="button" class="add_btn" value="登録" onclick="data_insert();">
    <!-- エラー・メッセージ -->
    <p id="err"><%=err_msg%></p>
</div>
</form>
<!-- #include file="datalist_odbc_name.asp" -->
<!-- #include file="datalist_odbc_user.asp" -->
<script src="menu_data_add.js"></script>
</body>
</html>
