<!DOCTYPE html>
<html lang="ja">
<!-- #include file="page_head.asp" -->
<!-- #include file="common.asp" -->
<!-- #include file="login_check.asp" -->
<%
'// 変数定義 -------------------------------------------------------------------
err_msg = ""
%>
<body>
<!-- #include file="page_title.asp" -->
<!-- #include file="page_menu.asp" -->
<form name="form1" method="post">
<div class="wrapper">
    <!-- テーブル -->
    <table id="data" class="display">
        <thead>
            <tr>
                <th>更新日時</th>
                <th>更新者</th>
                <th>ODBC名</th>
                <th>ODBCユーザー</th>
                <th>コメント</th>
                <th></th>
            </tr>
        </thead>
        <!-- テーブル明細 -->
        <tbody>
            <%
            '// Open
            objADO.Open repository_conn
            objADO.CursorLocation = adUseClient
            '// SQL Statement
            sql_stat = ""
            sql_stat = sql_stat & "SELECT TO_CHAR(rec_date,'YYYY/MM/DD HH24:MI:SS') AS rec_date "
            sql_stat = sql_stat & "     , rec_user                                              "
            sql_stat = sql_stat & "     , odbc_name                                             "
            sql_stat = sql_stat & "     , odbc_user                                             "
            sql_stat = sql_stat & "     , odbc_pass                                             "
            sql_stat = sql_stat & "     , comments                                              "
            sql_stat = sql_stat & "  FROM dxt_odbc                                              "
            sql_stat = sql_stat & " ORDER BY odbc_name, odbc_user                               "
            '// Execute SQL
            Set rec = objADO.Execute(sql_stat)
            '// Fields.Value
            Do Until rec.EOF
                odbc_name = hex_encode(rec("ODBC_NAME"))
                odbc_user = hex_encode(rec("ODBC_USER"))
            %>
            <tr>
                <td><%=rec("REC_DATE")%></td>
                <td><%=rec("REC_USER")%></td>
                <td><a href="menu_odbc_chg.asp?odbc_name=<%=odbc_name%>&odbc_user=<%=odbc_user%>"><%=rec("ODBC_NAME")%></a></td>
                <td><%=rec("ODBC_USER")%></td>
                <td><%=rec("COMMENTS")%></td>
                <td><input type="button" class="del_btn" value="削除" onclick="odbc_del('<%=odbc_name%>','<%=odbc_user%>');"></td>
            </tr>
            <%
                rec.MoveNext
            Loop
            '// Close
            objADO.Close
            %>
        </tbody>
    </table>
    <input type="button" class="add_btn" value="追加" onclick="odbc_add();">
    <!-- エラー・メッセージ -->
    <p id="err"><%=err_msg%></p>
</div>
</form>
<link rel="stylesheet" href="./css/jquery.dataTables.min.css">
<script src="./js/jquery.dataTables.min.js"></script>
<script src="menu_odbc.js"></script>
</body>
</html>
