<!DOCTYPE html>
<html lang="ja">
<!-- #include file="page_head.asp" -->
<!-- #include file="common.asp" -->
<!-- #include file="login_check.asp" -->
<%
'// 変数定義 -------------------------------------------------------------------
err_msg   = ""
x_odbc_name = Request("x_odbc_name")
x_odbc_user = Request("x_odbc_user")
x_odbc_pass = Request("x_odbc_pass")
x_comments  = Request("x_comments")

If mode = "insert" Then

    '// 暗号キー（データベース用）
    key = key_db()
    iv  = Left(key, 32)

    '// ODBCパスワード
    odbc_pass = encrypt(x_odbc_pass, iv, key)

    If err_msg = "" Then
        '// Open
        objADO.Open repository_conn
        '// SQL Statement
        sql_stat = "SELECT * FROM dxt_odbc WHERE odbc_name = ? AND odbc_user = ?"
        '// ADODB.Command
        objCmd.ActiveConnection = objADO
        objCmd.CommandText      = sql_stat
        objCmd.CommandType      = adCmdText
        objCmd.CommandTimeout   = 0
        '// Parameters
        objCmd.Parameters(0) = x_odbc_name
        objCmd.Parameters(1) = x_odbc_user
        '// Execute SQL
        Set rec = objCmd.Execute()
        '// Result
        If Not rec.EOF Then
            err_msg = "・同じODBC名/ODBCユーザーが既に登録されています。"
        End If
        '// Close
        objADO.Close
    End If

    If err_msg = "" Then
        '// Open
        objADO.Open repository_conn
        '// SQL Statement
        sql_stat = "INSERT INTO dxt_odbc (rec_date, rec_user, odbc_name, odbc_user, odbc_pass, comments) VALUES (SYSDATE, ?, ?, ?, ?, ?)"
        '// ADODB.Command
        objCmd.ActiveConnection = objADO
        objCmd.CommandText      = sql_stat
        objCmd.CommandType      = adCmdText
        objCmd.CommandTimeout   = 0
        '// Parameters
        objCmd.Parameters(0) = Session.Contents("user_name")
        objCmd.Parameters(1) = x_odbc_name
        objCmd.Parameters(2) = x_odbc_user
        objCmd.Parameters(3) = odbc_pass
        objCmd.Parameters(4) = x_comments
        '// Execute SQL
        Set rec = objCmd.Execute()
        '// Result
        If Err Then
            err_msg = "[ERROR] " & Err.Number & ":" & Err.Description
        End If
        '// Close
        objADO.Close
    End If

    If err_msg = "" Then
        x_odbc_name = ""
        x_odbc_user = ""
        x_odbc_pass = ""
        x_comments  = ""
        Response.Redirect "menu_odbc.asp"
    End If

End If
%>
<body>
<!-- #include file="page_title.asp" -->
<!-- #include file="page_menu.asp" -->
<form name="form1" method="post" class="menu_odbc">
<div class="wrapper">
    <!-- #include file="page_hidden.asp" -->
    <div class="name">ODBC名</div>
    <div class="form"><input type="text" name="x_odbc_name" value="<%=x_odbc_name%>" list="i_dns_name" autofocus></div>
    <div class="name">ODBCユーザー</div>
    <div class="form"><input type="text" name="x_odbc_user" value="<%=x_odbc_user%>"></div>
    <div class="name">ODBCパスワード</div>
    <div class="form"><input type="password" name="x_odbc_pass" value="<%=x_odbc_pass%>"></div>
    <div class="name">コメント</div>
    <div class="form"><input type="text" name="x_comments" value="<%=x_comments%>"></div>
    <input type="button" class="add_btn" value="登録" onclick="odbc_insert();">
    <!-- エラー・メッセージ -->
    <p id="err"><%=err_msg%></p>
</div>
</form>
<!-- #include file="datalist_dns_name.asp" -->
<script src="menu_odbc_add.js"></script>
</body>
</html>
