<!DOCTYPE html>
<html lang="ja">
<!-- #include file="page_head.asp" -->
<!-- #include file="common.asp" -->
<!-- #include file="login_check.asp" -->
<%
'// 変数定義 -------------------------------------------------------------------
err_msg     = ""
x_rec_date  = Request("x_rec_date")
x_rec_user  = Request("x_rec_user")
x_odbc_name = Request("x_odbc_name")
x_odbc_user = Request("x_odbc_user")
x_odbc_pass = Request("x_odbc_pass")
x_comments  = Request("x_comments")

odbc_name = hex_decode(Request("odbc_name"))
odbc_user = hex_decode(Request("odbc_user"))

'// 暗号キー（データベース用）
key = key_db()
iv  = Left(key, 32)

If mode <> "update" Then

    '// Open
    objADO.Open repository_conn

    '// SQL Statement
    sql_stat = ""
    sql_stat = sql_stat & "SELECT TO_CHAR(rec_date,'YYYY/MM/DD HH24:MI:SS') AS rec_date "
    sql_stat = sql_stat & "     , rec_user                                              "
    sql_stat = sql_stat & "     , odbc_name                                             "
    sql_stat = sql_stat & "     , odbc_user                                             "
    sql_stat = sql_stat & "     , odbc_pass                                             "
    sql_stat = sql_stat & "     , comments                                              "
    sql_stat = sql_stat & "  FROM dxt_odbc                                              "
    sql_stat = sql_stat & " WHERE odbc_name = ? AND odbc_user = ?                       "

    '// ADODB.Command
    objCmd.ActiveConnection = objADO
    objCmd.CommandText      = sql_stat
    objCmd.CommandType      = adCmdText
    objCmd.CommandTimeout   = 0

    '// Parameters
    objCmd.Parameters(0) = odbc_name
    objCmd.Parameters(1) = odbc_user

    '// Execute SQL
    Set rec = objCmd.Execute()

    '// Result
    If Err Then
        err_msg = "[ERROR] " & Err.Number & " : " & Err.Description
    End If

    '// Fields.Value
    If Not rec.EOF Then
        x_rec_date  = rec("REC_DATE")
        x_rec_user  = rec("REC_USER")
        x_odbc_name = rec("ODBC_NAME")
        x_odbc_user = rec("ODBC_USER")
        x_odbc_pass = decrypt(rec("ODBC_PASS"), iv, key)
        x_comments  = rec("COMMENTS")
    End If

    '// Close
    objADO.Close

End If

If mode = "update" Then

    '// ODBCパスワード
    odbc_pass = encrypt(x_odbc_pass, iv, key)

    '// Open
    objADO.Open repository_conn

    '// SQL Statement
    sql_stat = ""
    sql_stat = sql_stat & "UPDATE dxt_odbc                        "
    sql_stat = sql_stat & "   SET rec_date  = SYSDATE             "
    sql_stat = sql_stat & "     , rec_user  = ?                   "
    sql_stat = sql_stat & "     , odbc_name = ?                   "
    sql_stat = sql_stat & "     , odbc_user = ?                   "
    sql_stat = sql_stat & "     , odbc_pass = ?                   "
    sql_stat = sql_stat & "     , comments  = ?                   "
    sql_stat = sql_stat & " WHERE odbc_name = ? AND odbc_user = ? "

    '// ADODB.Command
    objCmd.ActiveConnection = objADO
    objCmd.CommandText      = sql_stat
    objCmd.CommandType      = adCmdText
    objCmd.CommandTimeout   = 0

    '// Parameters
    objCmd.Parameters(0) = Session.Contents("user_name")
    objCmd.Parameters(1) = x_odbc_name
    objCmd.Parameters(2) = x_odbc_user
    objCmd.Parameters(3) = odbc_pass
    objCmd.Parameters(4) = x_comments
    objCmd.Parameters(5) = odbc_name
    objCmd.Parameters(6) = odbc_user

    '// Execute SQL
    Set rec = objCmd.Execute()

    '// Result
    If Err Then
        err_msg = "[ERROR] " & Err.Number & " : " & Err.Description
    End If

    '// Close
    objADO.Close

    If err_msg = "" Then
        x_rec_date  = ""
        x_rec_user  = ""
        x_odbc_name = ""
        x_odbc_name = ""
        x_odbc_pass = ""
        x_comments  = ""
        Response.Redirect "menu_odbc.asp"
    End If

End If
%>
<body>
<!-- #include file="page_title.asp" -->
<!-- #include file="page_menu.asp" -->
<form name="form1" method="post" class="menu_odbc">
<div class="wrapper">
    <!-- #include file="page_hidden.asp" -->
    <input type="hidden" name="x_rec_date" value="<%=x_rec_date%>">
    <input type="hidden" name="x_rec_user" value="<%=x_rec_user%>">
    <div class="name">更新日時</div>
    <div class="form"><input type="text" value="<%=x_rec_date%>" disabled></div>
    <div class="name">更新者</div>
    <div class="form"><input type="text" value="<%=x_rec_user%>" disabled></div>
    <div class="name">ODBC名</div>
    <div class="form"><input type="text" name="x_odbc_name" value="<%=x_odbc_name%>" list="i_dns_name" autofocus></div>
    <div class="name">ODBCユーザー</div>
    <div class="form"><input type="text" name="x_odbc_user" value="<%=x_odbc_user%>"></div>
    <div class="name">ODBCパスワード</div>
    <div class="form"><input type="password" name="x_odbc_pass" value="<%=x_odbc_pass%>"></div>
    <div class="name">コメント</div>
    <div class="form"><input type="text" name="x_comments" value="<%=x_comments%>"></div>
    <input type="button" class="add_btn" value="変更" onclick="odbc_update();">
    <!-- エラー・メッセージ -->
    <p id="err"><%=err_msg%></p>
</div>
</form>
<!-- #include file="datalist_dns_name.asp" -->
<script src="menu_odbc_chg.js"></script>
</body>
</html>
