<!DOCTYPE html>
<html lang="ja">
<!-- #include file="page_head.asp" -->
<!-- #include file="common.asp" -->
<!-- #include file="login_check.asp" -->
<%
'// 変数定義 -------------------------------------------------------------------
err_msg     = ""
x_rec_date  = Request("x_rec_date")
x_rec_user  = Request("x_rec_user")
x_user_name = Request("x_user_name")
x_data_id   = Request("x_data_id")
x_data_name = Request("x_data_name")
x_comments  = Request("x_comments")

user_name = hex_decode(user_cd)
data_id   = hex_decode(data_cd)

If mode <> "update" Then

    '// Open
    objADO.Open repository_conn

    '// SQL Statement
    sql_stat = ""
    sql_stat = sql_stat & "SELECT TO_CHAR(T1.rec_date,'YYYY/MM/DD HH24:MI:SS') AS rec_date "
    sql_stat = sql_stat & "     , T1.rec_user                                              "
    sql_stat = sql_stat & "     , T1.user_name                                             "
    sql_stat = sql_stat & "     , T1.data_id                                               "
    sql_stat = sql_stat & "     , T3.data_name                                             "
    sql_stat = sql_stat & "     , T1.comments                                              "
    sql_stat = sql_stat & "  FROM dxt_udat T1                                              "
    sql_stat = sql_stat & "       LEFT OUTER JOIN dxt_user T2                              "
    sql_stat = sql_stat & "         ON T1.user_name = T2.user_name                         "
    sql_stat = sql_stat & "       LEFT OUTER JOIN dxt_data T3                              "
    sql_stat = sql_stat & "         ON T1.data_id = T3.data_id                             "
    sql_stat = sql_stat & " WHERE T1.user_name = ? AND T1.data_id = ?                      "

    '// ADODB.Command
    objCmd.ActiveConnection = objADO
    objCmd.CommandText      = sql_stat
    objCmd.CommandType      = adCmdText
    objCmd.CommandTimeout   = 0

    '// Parameters
    objCmd.Parameters(0) = user_name
    objCmd.Parameters(1) = data_id

    '// Execute SQL
    Set rec = objCmd.Execute()

    '// Result
    If Err Then
        err_msg = "[ERROR] " & Err.Number & " : " & Err.Description
    End If

    '// Fields.Value
    If Not rec.EOF Then
        x_rec_date  = rec("REC_DATE")
        x_rec_user  = rec("REC_USER")
        x_user_name = rec("USER_NAME")
        x_data_id   = rec("DATA_ID")
        x_data_name = rec("DATA_NAME")
        x_comments  = rec("COMMENTS")
    End If

    '// Close
    objADO.Close

End If

If mode = "update" Then

    '// Open
    objADO.Open repository_conn

    '// SQL Statement
    sql_stat = ""
    sql_stat = sql_stat & "UPDATE dxt_udat                      "
    sql_stat = sql_stat & "   SET rec_date  = SYSDATE           "
    sql_stat = sql_stat & "     , rec_user  = ?                 "
    sql_stat = sql_stat & "     , user_name = ?                 "
    sql_stat = sql_stat & "     , data_id   = ?                 "
    sql_stat = sql_stat & "     , comments  = ?                 "
    sql_stat = sql_stat & " WHERE user_name = ? AND data_id = ? "

    '// ADODB.Command
    objCmd.ActiveConnection = objADO
    objCmd.CommandText      = sql_stat
    objCmd.CommandType      = adCmdText
    objCmd.CommandTimeout   = 0

    '// Parameters
    objCmd.Parameters(0) = Session.Contents("user_name")
    objCmd.Parameters(1) = x_user_name
    objCmd.Parameters(2) = x_data_id
    objCmd.Parameters(3) = x_comments
    objCmd.Parameters(4) = user_name
    objCmd.Parameters(5) = data_id

    '// Execute SQL
    Set rec = objCmd.Execute()

    '// Result
    If Err Then
        err_msg = "[ERROR] " & Err.Number & " : " & Err.Description
    End If

    '// Close
    objADO.Close

    If err_msg = "" Then
        x_rec_date  = ""
        x_rec_user  = ""
        x_user_name = ""
        x_data_id   = ""
        x_data_name = ""
        x_comments  = ""
        Response.Redirect "menu_udat.asp"
    End If

End If
%>
<body>
<!-- #include file="page_title.asp" -->
<!-- #include file="page_menu.asp" -->
<form name="form1" method="post" class="menu_udat">
<div class="wrapper">
    <!-- #include file="page_hidden.asp" -->
    <input type="hidden" name="x_rec_date" value="<%=x_rec_date%>">
    <input type="hidden" name="x_rec_user" value="<%=x_rec_user%>">
    <input type="hidden" name="x_data_name" value="<%=x_data_name%>">
    <div class="name">更新日時</div>
    <div class="form"><input type="text" value="<%=x_rec_date%>" disabled></div>
    <div class="name">更新者</div>
    <div class="form"><input type="text" value="<%=x_rec_user%>" disabled></div>
    <div class="name">ユーザー名</div>
    <div class="form"><input type="text" name="x_user_name" value="<%=x_user_name%>" list="i_user_name" autofocus></div>
    <div class="name">データID</div>
    <div class="form"><input type="text" name="x_data_id" value="<%=x_data_id%>" list="i_data_id"></div>
    <div class="name">コメント</div>
    <div class="form"><input type="text" name="x_comments" value="<%=x_comments%>"></div>
    <input type="button" class="add_btn" value="変更" onclick="udat_update();">
    <!-- エラー・メッセージ -->
    <p id="err"><%=err_msg%></p>
</div>
</form>
<!-- #include file="datalist_user_name.asp" -->
<!-- #include file="datalist_data_id.asp" -->
<script src="menu_udat_chg.js"></script>
</body>
</html>
