--------------------------------------------------------------------------------
-- CREATE TABLE
CREATE TABLE dxt_udat (
    rec_date                       DATE
  , rec_user                       VARCHAR2(240)
  , user_name                      VARCHAR2(240)
  , data_id                        VARCHAR2(240)
  , comments                       VARCHAR2(2000)
);

COMMENT ON TABLE  dxt_udat IS '[U[pf[^';
COMMENT ON COLUMN dxt_udat.rec_date                       IS 'XV';
COMMENT ON COLUMN dxt_udat.rec_user                       IS 'XV';
COMMENT ON COLUMN dxt_udat.user_name                      IS '[U[';
COMMENT ON COLUMN dxt_udat.data_id                        IS 'f[^ID';
COMMENT ON COLUMN dxt_udat.comments                       IS 'Rg';

--------------------------------------------------------------------------------
-- PRIMARY KEY
ALTER TABLE dxt_udat ADD CONSTRAINT dxt_udat$pk PRIMARY KEY (
    user_name
  , data_id
);
