--------------------------------------------------------------------------------
-- CREATE TABLE
CREATE TABLE dxt_user (
    rec_date                       DATE
  , rec_user                       VARCHAR2(240)
  , user_name                      VARCHAR2(240)
  , user_cd                        VARCHAR2(480)
  , user_pass                      VARCHAR2(64)
  , auth_cls                       NUMBER(1,0)
  , admin_cls                      NUMBER(1,0)
  , comments                       VARCHAR2(2000)
);

COMMENT ON TABLE  dxt_user IS '[U[';
COMMENT ON COLUMN dxt_user.rec_date                       IS 'XV';
COMMENT ON COLUMN dxt_user.rec_user                       IS 'XV';
COMMENT ON COLUMN dxt_user.user_name                      IS '[U[';
COMMENT ON COLUMN dxt_user.user_cd                        IS '[U[R[h';
COMMENT ON COLUMN dxt_user.user_pass                      IS 'pX[h(SHA256)';
COMMENT ON COLUMN dxt_user.auth_cls                       IS 'F؋敪i1:ƎF؁A2:ADF؁j';
COMMENT ON COLUMN dxt_user.admin_cls                      IS 'Ǘҋ敪i1:ǗҁA2:Ǘҁj';
COMMENT ON COLUMN dxt_user.comments                       IS 'Rg';

--------------------------------------------------------------------------------
-- PRIMARY KEY
ALTER TABLE dxt_user ADD CONSTRAINT dxt_user$pk PRIMARY KEY (
    user_name
);

--------------------------------------------------------------------------------
-- CREATE INDEX
CREATE UNIQUE INDEX dxt_user$01 ON dxt_user (
    user_cd
);

--------------------------------------------------------------------------------
-- DATA
INSERT INTO dxt_user VALUES (SYSDATE, 'INITIAL', 'admin', '41444d494e', '9342d49f2e90a350a98ca1b38d1e387d78fd22c008ef4bb44208df244717ecbd', 1, 1, 'Ǘ');
COMMIT;
