<%@ Language="VBScript" CodePage=65001 %>
<%
On Error Resume Next

'//-------------------------------------------------------//
'// CreateObject
'//-------------------------------------------------------//
Set fso = CreateObject("Scripting.FileSystemObject")
Set xmlDoc = CreateObject("Microsoft.XMLDOM")
Set objADO = CreateObject("ADODB.Connection")
Set objCmd = CreateObject("ADODB.Command")
Set objStrm = CreateObject("ADODB.Stream")
Set objData = CreateObject("ADODB.Recordset")
Set objUTF8 = CreateObject("System.Text.UTF8Encoding")
Set objSHA256 = CreateObject("System.Security.Cryptography.SHA256Managed")
Set objRijndael = CreateObject("System.Security.Cryptography.RijndaelManaged")

'//-------------------------------------------------------//
'// Constant
'//-------------------------------------------------------//
Const session_timeout = 120
Const repository_db   = "ORACLE"
Const repository_conn = "Provider=MSDASQL;Data Source=[DSN];User ID=[USER];Password=[PASSWORD];"
Const default_domain  = "[DOMAIN]"
Const key_solt        = "[暗号キー・ソルト]"

'// Registry
Const HKEY_CURRENT_USER  = &H80000001
Const HKEY_LOCAL_MACHINE = &H80000002

'// ADODB.BookmarkEnum
Const adBookmarkCurrent = 0
Const adBookmarkFirst   = 1
Const adBookmarkLast    = 2

'// ADODB.CommandTypeEnum
Const adCmdUnspecified = -1
Const adCmdText        = 1
Const adCmdTable       = 2
Const adCmdStoredProc  = 4
Const adCmdUnknown     = 8
Const adCmdFile        = 256
Const adCmdTableDirect = 512

'// ADODB.CursorLocationEnum
Const adUseNone        = 1
Const adUseServer      = 2
Const adUseClient      = 3
Const adUseClientBatch = 3

'// ADODB.CursorTypeEnum
Const adOpenUnspecified = -1
Const adOpenForwardOnly = 0
Const adOpenKeyset      = 1
Const adOpenDynamic     = 2
Const adOpenStatic      = 3

'// ADODB.DataTypeEnum
Const adEmpty            = 0
Const adSmallInt         = 2
Const adInteger          = 3
Const adSingle           = 4
Const adDouble           = 5
Const adCurrency         = 6
Const adDate             = 7
Const adBSTR             = 8
Const adIDispatch        = 9
Const adError            = 10
Const adBoolean          = 11
Const adVariant          = 12
Const adIUnknown         = 13
Const adDecimal          = 14
Const adTinyInt          = 16
Const adUnsignedTinyInt  = 17
Const adUnsignedSmallInt = 18
Const adUnsignedInt      = 19
Const adBigInt           = 20
Const adUnsignedBigInt   = 21
Const adFileTime         = 64
Const adGUID             = 72
Const adBinary           = 128
Const adChar             = 129
Const adWChar            = 130
Const adNumeric          = 131
Const adUserDefined      = 132
Const adDBDate           = 133
Const adDBTime           = 134
Const adDBTimeStamp      = 135
Const adChapter          = 136
Const adPropVariant      = 138
Const adVarNumeric       = 139
Const adVarChar          = 200
Const adLongVarChar      = 201
Const adVarWChar         = 202
Const adLongVarWChar     = 203
Const adVarBinary        = 204
Const adLongVarBinary    = 205
Const adArray            = &H2000

'// ADODB.LockTypeEnum
Const adLockUnspecified     = -1
Const adLockReadOnly        = 1
Const adLockPessimistic     = 2
Const adLockOptimistic      = 3
Const adLockBatchOptimistic = 4

'// ADODB.PersistFormatEnum
Const adPersistADTG = 0
Const adPersistXML  = 1

'// ADODB.SaveOptionsEnum
Const adSaveCreateNotExist  = 1
Const adSaveCreateOverWrite = 2

'// ADODB.StreamReadEnum
Const adReadAll  = -1
Const adReadLine = -2

'// ADODB.StreamTypeEnum
Const adTypeBinary = 1
Const adTypeText   = 2

'// ADODB.StreamWriteEnum
Const adWriteChar = 0
Const adWriteLine = 1

'// Excel.XlColumnDataType
Const xlGeneralFormat = 1
Const xlTextFormat    = 2
Const xlMDYFormat     = 3
Const xlDMYFormat     = 4
Const xlYMDFormat     = 5
Const xlMYDFormat     = 6
Const xlDYMFormat     = 7
Const xlYDMFormat     = 8
Const xlSkipColumn    = 9
Const xlEMDFormat     = 10

'// mscorlib.CipherMode
Const CipherMode_CBC = 1
Const CipherMode_ECB = 2
Const CipherMode_OFB = 3
Const CipherMode_CFB = 4
Const CipherMode_CTS = 5

'//-------------------------------------------------------------------------//
'// Request
'//-------------------------------------------------------------------------//
user_cd = ""
pass_cd = ""
data_cd = ""
host_cd = ""
iv      = ""
file_id = ""
mode    = ""

If hex_check(Request("user")) Then user_cd = Request("user")
If hex_check(Request("pass")) Then pass_cd = Request("pass")
If hex_check(Request("data")) Then data_cd = Request("data")
If hex_check(Request("host")) Then host_cd = Request("host")
If hex_check(Request("iv"))   Then iv      = Request("iv")
file_id    = Request("file")
mode       = Request("mode")

ip_address = Request.ServerVariables("REMOTE_ADDR")

'//-------------------------------------------------------//
'// ADODB.DataTypeEnum -> TextFileColumnDataTypes
'//-------------------------------------------------------//
Function conv_type(in_type)

    conv_type = xlGeneralFormat

    If in_type = adBSTR         Then conv_type = xlTextFormat
    If in_type = adChar         Then conv_type = xlTextFormat
    If in_type = adLongVarChar  Then conv_type = xlTextFormat
    If in_type = adLongVarWChar Then conv_type = xlTextFormat
    If in_type = adVarChar      Then conv_type = xlTextFormat
    If in_type = adVarWChar     Then conv_type = xlTextFormat
    If in_type = adWChar        Then conv_type = xlTextFormat

End Function

'//-------------------------------------------------------//
'// ログイン・チェック
'//-------------------------------------------------------//
Function login_check(user_cd, pass_cd, iv)

    login_check = "NG"

    '// Open
    objADO.Open repository_conn

    '// SQL Statement
    sql_stat = "SELECT * FROM dxt_user WHERE user_cd = ?"

    '// ADODB.Command
    objCmd.ActiveConnection = objADO
    objCmd.CommandText      = sql_stat
    objCmd.CommandType      = adCmdText
    objCmd.CommandTimeout   = 0

    '// Parameters
    objCmd.Parameters(0) = user_cd

    '// Execute SQL
    Set rec = objCmd.Execute()

    '// Fields.Value
    If Not rec.EOF Then
        user_name = rec("USER_NAME")
        user_pass = rec("USER_PASS")
        auth_cls  = Trim(rec("AUTH_CLS"))
        admin_cls = Trim(rec("ADMIN_CLS"))
    End If

    '// Close
    objADO.Close

    '// パスワード復号 → クリアテキスト
    clear_pass = decrypt(pass_cd, iv, key_cd())

    '// ログインチェック１（独自認証）
    If auth_cls = 1 Then
        If user_pass = sha256(clear_pass) Then login_check = "OK" & Chr(10) & user_name & Chr(10) & auth_cls & Chr(10) & admin_cls
    End If

    '// ログインチェック２（AD認証）
    If auth_cls = 2 Then
        '// ドメイン名、ログイン名
        domain_nm = default_domain
        common_nm = hex_decode(user_cd)
        '// ドメイン付その１
        If InStr(user_name, "\") Then
            domain_nm = Mid(user_name, 1, InStr(user_name, "\") - 1)
            common_nm = Mid(user_name, InStr(user_name, "\") + 1)
        End If
        '// ドメイン付その２
        If InStr(user_name, "@") Then
            domain_nm = Mid(user_name, InStr(user_name, "@") + 1)
            common_nm = Mid(user_name, 1, InStr(user_name, "@") - 1)
        End If
        '// LDAP認証
        Set objLdap = GetObject("LDAP:")
        Set objUser = objLdap.OpenDsObject("LDAP://" & domain_nm, domain_nm & "\" & common_nm, clear_pass, 1)
        If Err.Number = 0 Then login_check = "OK" & Chr(10) & user_name & Chr(10) & auth_cls & Chr(10) & admin_cls
        Set objLdap = Nothing
        Set objUser = Nothing
    End If

End Function

'//-------------------------------------------------------//
'// ユーザー名(USER_NAME)
'//-------------------------------------------------------//
Function get_user_name(user_cd)

    get_user_name = ""

    '// Open
    objADO.Open repository_conn

    '// SQL Statement
    sql_stat = "SELECT * FROM dxt_user WHERE user_cd = ?"

    '// ADODB.Command
    objCmd.ActiveConnection = objADO
    objCmd.CommandText      = sql_stat
    objCmd.CommandType      = adCmdText
    objCmd.CommandTimeout   = 0

    '// Parameters
    objCmd.Parameters(0) = user_cd

    '// Execute SQL
    Set rec = objCmd.Execute()

    '// Result
    If Not rec.EOF Then
        get_user_name = rec("USER_NAME")
    End If

    '// Close
    objADO.Close

End Function

'//-------------------------------------------------------//
'// データID(DATA_ID)
'//-------------------------------------------------------//
Function get_data_id(data_cd)

    get_data_id = ""

    '// Open
    objADO.Open repository_conn

    '// SQL Statement
    sql_stat = "SELECT * FROM dxt_data WHERE data_cd = ?"

    '// ADODB.Command
    objCmd.ActiveConnection = objADO
    objCmd.CommandText      = sql_stat
    objCmd.CommandType      = adCmdText
    objCmd.CommandTimeout   = 0

    '// Parameters
    objCmd.Parameters(0) = data_cd

    '// Execute SQL
    Set rec = objCmd.Execute()

    '// Result
    If Not rec.EOF Then
        get_data_id = rec("DATA_ID")
    End If

    '// Close
    objADO.Close

End Function

'//-------------------------------------------------------//
'// 暗号キー（セッション用）
'//-------------------------------------------------------//
Function key_cd()

    key_cd = sha256(Hex(Session.SessionID) & key_solt)

End Function

'//-------------------------------------------------------//
'// 暗号キー（データベース用）
'//-------------------------------------------------------//
Function key_db()

    key_db = sha256(key_solt)

End Function

'//-------------------------------------------------------//
'// hex チェック
'//-------------------------------------------------------//
Function hex_check(xhex)

    xhex = UCase(xhex)

    '// 0...9, A...F であること
    xhex = Replace(xhex, "0", "")
    xhex = Replace(xhex, "1", "")
    xhex = Replace(xhex, "2", "")
    xhex = Replace(xhex, "3", "")
    xhex = Replace(xhex, "4", "")
    xhex = Replace(xhex, "5", "")
    xhex = Replace(xhex, "6", "")
    xhex = Replace(xhex, "7", "")
    xhex = Replace(xhex, "8", "")
    xhex = Replace(xhex, "9", "")
    xhex = Replace(xhex, "A", "")
    xhex = Replace(xhex, "B", "")
    xhex = Replace(xhex, "C", "")
    xhex = Replace(xhex, "D", "")
    xhex = Replace(xhex, "E", "")
    xhex = Replace(xhex, "F", "")

    '// Return
    If xhex = "" Then
        hex_check = True
    Else
        hex_check = False
    End If

End Function

'//-------------------------------------------------------//
'// 暗号
'//-------------------------------------------------------//
Function encrypt(txt, iv, key)

    encrypt = ""

    bytes = objUTF8.GetBytes_4(txt)

    objRijndael.Mode      = CipherMode_CBC
    objRijndael.BlockSize = 128
    objRijndael.KeySize   = 256
    objRijndael.IV  = hex2bytes(iv)
    objRijndael.Key = hex2bytes(key)

    '// Return
    encrypt = bytes2hex(objRijndael.CreateEncryptor.TransformFinalBlock((bytes), 0, LenB(bytes)))

    '// Clear
    objRijndael.Clear

End Function

'//-------------------------------------------------------//
'// 復号
'//-------------------------------------------------------//
Function decrypt(encrypted, iv, key)

    decrypt = ""

    bytes = hex2bytes(encrypted)

    objRijndael.Mode      = CipherMode_CBC
    objRijndael.BlockSize = 128
    objRijndael.KeySize   = 256
    objRijndael.IV  = hex2bytes(iv)
    objRijndael.Key = hex2bytes(key)

    '// Return
    decrypt = objUTF8.GetString((objRijndael.CreateDecryptor.TransformFinalBlock((bytes), 0, LenB(bytes))))

    '// Clear
    objRijndael.Clear

End Function

'//-------------------------------------------------------//
'// SHA256
'//-------------------------------------------------------//
Function sha256(txt)

    sha256 = ""

    '// 文字列を UTF8 にエンコードしバイト配列に変換
    bytes = objUTF8.GetBytes_4(txt)

    '// ハッシュ値を計算（バイナリ）
    hash = objSHA256.ComputeHash_2((bytes))

    '// バイト配列を16進数文字列に変換
    sha256 = bytes2hex(hash)

End Function

'//-------------------------------------------------------//
'// utf-8 -> base64 エンコード
'//-------------------------------------------------------//
Function base64_encode(txt)

    '// utf-8 読み込み
    objStrm.Open
    objStrm.Type = adTypeText
    objStrm.Charset = "utf-8"
    objStrm.WriteText txt
    objStrm.Position = 0
    objStrm.Type = adTypeBinary

    '// utf-8 -> base64
    Set objElement = xmlDoc.CreateElement("dummy")
    objElement.DataType = "bin.base64"
    objElement.NodeTypedValue = objStrm.Read

    '// Return
    base64_encode = objElement.Text

    '// Close
    objStrm.Close

End Function

'//-------------------------------------------------------//
'// base64 -> utf-8 デコード
'//-------------------------------------------------------//
Function base64_decode(xbase64)

    '// base64 読み込み
    Set objElement = xmlDoc.CreateElement("dummy")
    objElement.DataType = "bin.base64"
    objElement.Text = xbase64

    '// base64 -> utf-8
    objStrm.Open
    objStrm.Type = adTypeBinary
    objStrm.Write objElement.NodeTypedValue
    objStrm.Position = 0
    objStrm.Type = adTypeText
    objStrm.Charset = "utf-8"

    '// Return
    base64_decode = objStrm.ReadText

    '// Close
    objStrm.Close

End Function

'//-------------------------------------------------------//
'// utf-8 -> hex エンコード
'//-------------------------------------------------------//
Function hex_encode(txt)

    hex_encode = ""

    '// 文字列を UTF8 にエンコードしバイト配列に変換
    bytes = objUTF8.GetBytes_4(txt)

    '// バイト配列を16進数文字列に変換
    hex_encode = bytes2hex(bytes)

End Function

'//-------------------------------------------------------//
'// hex -> utf-8 デコード
'//-------------------------------------------------------//
Function hex_decode(xhex)

    hex_decode = ""

    '// 16進数文字列をバイト配列に変換
    bytes = hex2bytes(xhex)

    '// バイト配列を UTF8 文字列に変換
    hex_decode = objUTF8.GetString((bytes))

End Function

'//-------------------------------------------------------//
'// bytes -> hex 変換
'//-------------------------------------------------------//
Function bytes2hex(xbytes)

    bytes2hex = ""

    With xmlDoc.CreateElement("dummy")
        .DataType = "bin.hex"
        .NodeTypedValue = xbytes
        bytes2hex = .Text
    End With

End Function

'//-------------------------------------------------------//
'// hex -> bytes 変換
'//-------------------------------------------------------//
Function hex2bytes(xhex)

    hex2bytes = ""

    With xmlDoc.CreateElement("dummy")
        .DataType = "bin.hex"
        .Text = xhex
        hex2bytes = .NodeTypedValue
    End With

End Function
%>
