<!DOCTYPE html>
<html lang="ja">
<!-- #include file="page_head.asp" -->
<!-- #include file="common.asp" -->
<!-- #include file="login_check.asp" -->
<%
'// 変数定義 -------------------------------------------------------------------
err_msg     = ""
x_rec_date  = Request("x_rec_date")
x_rec_user  = Request("x_rec_user")
x_data_id   = Request("x_data_id")
x_data_name = Request("x_data_name")
x_odbc_name = Request("x_odbc_name")
x_odbc_user = Request("x_odbc_user")
x_sql_text  = Request("x_sql_text")
x_page_size = Request("x_page_size")
x_comments  = Request("x_comments")

If mode <> "update" Then

    '// Open
    objADO.Open repository_conn

    '// SQL Statement
    sql_stat = ""
    sql_stat = sql_stat & "SELECT TO_CHAR(rec_date,'YYYY/MM/DD HH24:MI:SS') AS rec_date "
    sql_stat = sql_stat & "     , rec_user                                              "
    sql_stat = sql_stat & "     , data_id                                               "
    sql_stat = sql_stat & "     , data_cd                                               "
    sql_stat = sql_stat & "     , data_name                                             "
    sql_stat = sql_stat & "     , odbc_name                                             "
    sql_stat = sql_stat & "     , odbc_user                                             "
    sql_stat = sql_stat & "     , sql_text                                              "
    sql_stat = sql_stat & "     , page_size                                             "
    sql_stat = sql_stat & "     , comments                                              "
    sql_stat = sql_stat & "  FROM dxt_data                                              "
    sql_stat = sql_stat & " WHERE data_cd = ?                                           "

    '// ADODB.Command
    objCmd.ActiveConnection = objADO
    objCmd.CommandText      = sql_stat
    objCmd.CommandType      = adCmdText
    objCmd.CommandTimeout   = 0

    '// Parameters
    objCmd.Parameters(0) = data_cd

    '// Execute SQL
    Set rec = objCmd.Execute()

    '// Result
    If Err Then
        err_msg = "[ERROR] " & Err.Number & " : " & Err.Description
    End If

    '// Fields.Value
    If Not rec.EOF Then
        x_rec_date  = rec("REC_DATE")
        x_rec_user  = rec("REC_USER")
        x_data_id   = rec("DATA_ID")
        x_data_name = rec("DATA_NAME")
        x_odbc_name = rec("ODBC_NAME")
        x_odbc_user = rec("ODBC_USER")
        x_sql_text  = rec("SQL_TEXT")
        x_page_size = Trim(rec("PAGE_SIZE"))
        x_comments  = rec("COMMENTS")
    End If

    '// Close
    objADO.Close

End If

If mode = "update" Then

    '// Open
    objADO.Open repository_conn

    '// SQL Statement
    sql_stat = ""
    sql_stat = sql_stat & "UPDATE dxt_data            "
    sql_stat = sql_stat & "   SET rec_date  = SYSDATE "
    sql_stat = sql_stat & "     , rec_user  = ?       "
    sql_stat = sql_stat & "     , data_id   = ?       "
    sql_stat = sql_stat & "     , data_cd   = ?       "
    sql_stat = sql_stat & "     , data_name = ?       "
    sql_stat = sql_stat & "     , odbc_name = ?       "
    sql_stat = sql_stat & "     , odbc_user = ?       "
    sql_stat = sql_stat & "     , sql_text  = ?       "
    sql_stat = sql_stat & "     , page_size = ?       "
    sql_stat = sql_stat & "     , comments  = ?       "
    sql_stat = sql_stat & " WHERE data_cd   = ?       "

    '// ADODB.Command
    objCmd.ActiveConnection = objADO
    objCmd.CommandText      = sql_stat
    objCmd.CommandType      = adCmdText
    objCmd.CommandTimeout   = 0

    '// Parameters
    objCmd.Parameters(0) = Session.Contents("user_name")
    objCmd.Parameters(1) = x_data_id
    objCmd.Parameters(2) = hex_encode(UCase(x_data_id))
    objCmd.Parameters(3) = x_data_name
    objCmd.Parameters(4) = x_odbc_name
    objCmd.Parameters(5) = x_odbc_user
    objCmd.Parameters(6) = x_sql_text
    objCmd.Parameters(7) = x_page_size
    objCmd.Parameters(8) = x_comments
    objCmd.Parameters(9) = data_cd

    '// Execute SQL
    Set rec = objCmd.Execute()

    '// Result
    If Err Then
        err_msg = "[ERROR] " & Err.Number & " : " & Err.Description
    End If

    '// Close
    objADO.Close

    If err_msg = "" Then
        x_rec_date  = ""
        x_rec_user  = ""
        x_data_id   = ""
        x_data_name = ""
        x_odbc_name = ""
        x_odbc_user = ""
        x_sql_text  = ""
        x_page_size = ""
        x_comments  = ""
        Response.Redirect "menu_data.asp"
    End If

End If
%>
<body>
<!-- #include file="page_title.asp" -->
<!-- #include file="page_menu.asp" -->
<form name="form1" method="post" class="menu_data">
<div class="wrapper">
    <!-- #include file="page_hidden.asp" -->
    <input type="hidden" name="x_rec_date" value="<%=x_rec_date%>">
    <input type="hidden" name="x_rec_user" value="<%=x_rec_user%>">
    <input type="button" class="copy_btn" value="コピー" onclick="data_copy();">
    <div class="name">更新日時</div>
    <div class="form"><input type="text" value="<%=x_rec_date%>" disabled></div>
    <div class="name">更新者</div>
    <div class="form"><input type="text" value="<%=x_rec_user%>" disabled></div>
    <div class="name">データID</div>
    <div class="form"><input type="text" name="x_data_id" value="<%=x_data_id%>" autofocus></div>
    <div class="name">データ名</div>
    <div class="form"><input type="text" name="x_data_name" value="<%=x_data_name%>"></div>
    <div class="name">ODBC名</div>
    <div class="form"><input type="text" name="x_odbc_name" value="<%=x_odbc_name%>" list="i_odbc_name" onchange="chg_odbc_name()"></div>
    <div class="name">ODBCユーザー</div>
    <div class="form"><input type="text" name="x_odbc_user" value="<%=x_odbc_user%>" list="i_odbc_user"></div>
    <div class="name">SQL文</div>
    <div class="form"><textarea name="x_sql_text"><%=x_sql_text%></textarea></div>
    <div class="name">データ分割サイズ</div>
    <div class="form"><input type="number" name="x_page_size" value="<%=x_page_size%>"></div>
    <div class="name">コメント</div>
    <div class="form"><input type="text" name="x_comments" value="<%=x_comments%>"></div>
    <input type="button" class="add_btn" value="変更" onclick="data_update();">
    <!-- エラー・メッセージ -->
    <p id="err"><%=err_msg%></p>
</div>
</form>
<!-- #include file="datalist_odbc_name.asp" -->
<!-- #include file="datalist_odbc_user.asp" -->
<script src="menu_data_chg.js"></script>
<script src="menu_data_copy.js"></script>
</body>
</html>
