<!DOCTYPE html>
<html lang="ja">
<!-- #include file="page_head.asp" -->
<!-- #include file="common.asp" -->
<!-- #include file="login_check.asp" -->
<%
'// 変数定義 -------------------------------------------------------------------
err_msg     = ""
x_user_name = Request("x_user_name")
x_data_id   = Request("x_data_id")
x_comments  = Request("x_comments")

If mode = "insert" Then

    '// user_name
    x_user_name = get_user_name(hex_encode(UCase(x_user_name)))
    If x_user_name = "" Then
        x_user_name = Request("x_user_name")
        err_msg = err_msg & "・ユーザー名が登録されていません。<br>"
    End If

    '// data_id
    x_data_id = get_data_id(hex_encode(UCase(x_data_id)))
    If x_data_id = "" Then
        x_data_id = Request("x_data_id")
        err_msg = err_msg & "・データIDが登録されていません。<br>"
    End If

    If err_msg = "" Then
        '// Open
        objADO.Open repository_conn
        '// SQL Statement
        sql_stat = "SELECT * FROM dxt_udat WHERE user_name = ? AND data_id = ?"
        '// ADODB.Command
        objCmd.ActiveConnection = objADO
        objCmd.CommandText      = sql_stat
        objCmd.CommandType      = adCmdText
        objCmd.CommandTimeout   = 0
        '// Parameters
        objCmd.Parameters(0) = x_user_name
        objCmd.Parameters(1) = x_data_id
        '// Execute SQL
        Set rec = objCmd.Execute()
        '// Result
        If Not rec.EOF Then
            err_msg = "・同じユーザー名/データIDが既に登録されています。"
        End If
        '// Close
        objADO.Close
    End If

    If err_msg = "" Then
        '// Open
        objADO.Open repository_conn
        '// SQL Statement
        sql_stat = "INSERT INTO dxt_udat (rec_date, rec_user, user_name, data_id, comments) VALUES (SYSDATE, ?, ?, ?, ?)"
        '// ADODB.Command
        objCmd.ActiveConnection = objADO
        objCmd.CommandText      = sql_stat
        objCmd.CommandType      = adCmdText
        objCmd.CommandTimeout   = 0
        '// Parameters
        objCmd.Parameters(0) = Session.Contents("user_name")
        objCmd.Parameters(1) = x_user_name
        objCmd.Parameters(2) = x_data_id
        objCmd.Parameters(3) = x_comments
        '// Execute SQL
        Set rec = objCmd.Execute()
        '// Result
        If Err Then
            err_msg = "[ERROR] " & Err.Number & ":" & Err.Description
        End If
        '// Close
        objADO.Close
    End If

    If err_msg = "" Then
        x_user_name = ""
        x_data_id   = ""
        x_comments  = ""
        Response.Redirect "menu_udat.asp"
    End If

End If
%>
<body>
<!-- #include file="page_title.asp" -->
<!-- #include file="page_menu.asp" -->
<form name="form1" method="post" class="menu_udat">
<div class="wrapper">
    <!-- #include file="page_hidden.asp" -->
    <div class="name">ユーザー名</div>
    <div class="form"><input type="text" name="x_user_name" value="<%=x_user_name%>" list="i_user_name" autofocus></div>
    <div class="name">データID</div>
    <div class="form"><input type="text" name="x_data_id" value="<%=x_data_id%>" list="i_data_id"></div>
    <div class="name">コメント</div>
    <div class="form"><input type="text" name="x_comments" value="<%=x_comments%>"></div>
    <input type="button" class="add_btn" value="登録" onclick="udat_insert();">
    <!-- エラー・メッセージ -->
    <p id="err"><%=err_msg%></p>
</div>
</form>
<!-- #include file="datalist_user_name.asp" -->
<!-- #include file="datalist_data_id.asp" -->
<script src="menu_udat_add.js"></script>
</body>
</html>
