<!DOCTYPE html>
<html lang="ja">
<!-- #include file="page_head.asp" -->
<!-- #include file="common.asp" -->
<!-- #include file="login_check.asp" -->
<%
'// 変数定義 -------------------------------------------------------------------
err_msg     = ""
x_user_name = Request("x_user_name")
x_user_pass = Request("x_user_pass")
x_auth_cls  = Request("x_auth_cls")
x_admin_cls = Request("x_admin_cls")
x_comments  = Request("x_comments")

If mode = "insert" Then

    user_cd = hex_encode(UCase(x_user_name))

    If x_auth_cls = 1 Then
        user_pass = sha256(x_user_pass)
    Else
        user_pass = ""
    End If

    If err_msg = "" Then
        '// Open
        objADO.Open repository_conn
        '// SQL Statement
        sql_stat = "SELECT * FROM dxt_user WHERE user_cd = ?"
        '// ADODB.Command
        objCmd.ActiveConnection = objADO
        objCmd.CommandText      = sql_stat
        objCmd.CommandType      = adCmdText
        objCmd.CommandTimeout   = 0
        '// Parameters
        objCmd.Parameters(0) = user_cd
        '// Execute SQL
        Set rec = objCmd.Execute()
        '// Result
        If Not rec.EOF Then
            err_msg = "・同じユーザー名が既に登録されています。"
        End If
        '// Close
        objADO.Close
    End If

    If err_msg = "" Then
        '// Open
        objADO.Open repository_conn
        '// SQL Statement
        sql_stat = "INSERT INTO dxt_user (rec_date, rec_user, user_name, user_cd, user_pass, auth_cls, admin_cls, comments) VALUES (SYSDATE, ?, ?, ?, ?, ?, ?, ?)"
        '// ADODB.Command
        objCmd.ActiveConnection = objADO
        objCmd.CommandText      = sql_stat
        objCmd.CommandType      = adCmdText
        objCmd.CommandTimeout   = 0
        '// Parameters
        objCmd.Parameters(0) = Session.Contents("user_name")
        objCmd.Parameters(1) = x_user_name
        objCmd.Parameters(2) = user_cd
        objCmd.Parameters(3) = user_pass
        objCmd.Parameters(4) = x_auth_cls
        objCmd.Parameters(5) = x_admin_cls
        objCmd.Parameters(6) = x_comments
        '// Execute SQL
        Set rec = objCmd.Execute()
        '// Result
        If Err Then
            err_msg = "[ERROR] " & Err.Number & ":" & Err.Description
        End If
        '// Close
        objADO.Close
    End If

    If err_msg = "" Then
        x_user_name = ""
        x_user_pass = ""
        x_auth_cls  = ""
        x_admin_cls = ""
        x_comments  = ""
        Response.Redirect "menu_user.asp"
    End If

End If
%>
<body>
<!-- #include file="page_title.asp" -->
<!-- #include file="page_menu.asp" -->
<form name="form1" method="post" class="menu_user">
<div class="wrapper">
    <!-- #include file="page_hidden.asp" -->
    <div class="name">ユーザー名</div>
    <div class="form"><input type="text" name="x_user_name" value="<%=x_user_name%>" autofocus></div>
    <div class="name">パスワード</div>
    <div class="form"><input type="password" name="x_user_pass" value="<%=x_user_pass%>" <%if x_auth_cls="2" then%>disabled<%end if%>></div>
    <div class="name">認証区分</div>
    <div class="form">
        <select name="x_auth_cls" onchange="fnc_auth_cls()">
            <option value="1" <%if x_auth_cls="1" then%>selected<%end if%>>1:独自認証</option>
            <option value="2" <%if x_auth_cls="2" then%>selected<%end if%>>2:AD認証</option>
        </select>
    </div>
    <div class="name">管理者区分</div>
    <div class="form">
        <select name="x_admin_cls">
            <option value="1" <%if x_admin_cls="1" then%>selected<%end if%>>1:管理者</option>
            <option value="2" <%if x_admin_cls="2" then%>selected<%end if%>>2:非管理者</option>
        </select>
    </div>
    <div class="name">コメント</div>
    <div class="form"><input type="text" name="x_comments" value="<%=x_comments%>"></div>
    <input type="button" class="add_btn" value="登録" onclick="user_insert();">
    <!-- エラー・メッセージ -->
    <p id="err"><%=err_msg%></p>
</div>
</form>
<script src="menu_user_add.js"></script>
</body>
</html>
