<!DOCTYPE html>
<html lang="ja">
<!-- #include file="page_head.asp" -->
<!-- #include file="common.asp" -->
<!-- #include file="login_check.asp" -->
<%
'// 変数定義 -------------------------------------------------------------------
err_msg     = ""
x_rec_date  = Request("x_rec_date")
x_rec_user  = Request("x_rec_user")
x_user_name = Request("x_user_name")
x_user_pass = Request("x_user_pass")
x_auth_cls  = Request("x_auth_cls")
x_admin_cls = Request("x_admin_cls")
x_comments  = Request("x_comments")

If mode <> "update" Then

    '// Open
    objADO.Open repository_conn

    '// SQL Statement
    sql_stat = ""
    sql_stat = sql_stat & "SELECT TO_CHAR(rec_date,'YYYY/MM/DD HH24:MI:SS') AS rec_date "
    sql_stat = sql_stat & "     , rec_user                                              "
    sql_stat = sql_stat & "     , user_name                                             "
    sql_stat = sql_stat & "     , user_cd                                               "
    sql_stat = sql_stat & "     , user_pass                                             "
    sql_stat = sql_stat & "     , auth_cls                                              "
    sql_stat = sql_stat & "     , admin_cls                                             "
    sql_stat = sql_stat & "     , comments                                              "
    sql_stat = sql_stat & "  FROM dxt_user                                              "
    sql_stat = sql_stat & " WHERE user_cd = ?                                           "

    '// ADODB.Command
    objCmd.ActiveConnection = objADO
    objCmd.CommandText      = sql_stat
    objCmd.CommandType      = adCmdText
    objCmd.CommandTimeout   = 0

    '// Parameters
    objCmd.Parameters(0) = user_cd

    '// Execute SQL
    Set rec = objCmd.Execute()

    '// Result
    If Err Then
        err_msg = "[ERROR] " & Err.Number & " : " & Err.Description
    End If

    '// Fields.Value
    If Not rec.EOF Then
        x_rec_date  = rec("REC_DATE")
        x_rec_user  = rec("REC_USER")
        x_user_name = rec("USER_NAME")
        x_user_pass = ""
        x_auth_cls  = Trim(rec("AUTH_CLS"))
        x_admin_cls = Trim(rec("ADMIN_CLS"))
        x_comments  = rec("COMMENTS")
    End If

    '// Close
    objADO.Close

End If

If mode = "update" Then

    '// 認証区分（1:独自認証、2:AD認証）
    If x_auth_cls = 1 Then user_pass = sha256(x_user_pass)

    '// Open
    objADO.Open repository_conn

    If x_auth_cls = 1 And x_user_pass <> "" Then
        '// SQL Statement
        sql_stat = ""
        sql_stat = sql_stat & "UPDATE dxt_user            "
        sql_stat = sql_stat & "   SET rec_date  = SYSDATE "
        sql_stat = sql_stat & "     , rec_user  = ?       "
        sql_stat = sql_stat & "     , user_pass = ?       "
        sql_stat = sql_stat & "     , auth_cls  = ?       "
        sql_stat = sql_stat & "     , admin_cls = ?       "
        sql_stat = sql_stat & "     , comments  = ?       "
        sql_stat = sql_stat & " WHERE user_cd   = ?       "
        '// ADODB.Command
        objCmd.ActiveConnection = objADO
        objCmd.CommandText      = sql_stat
        objCmd.CommandType      = adCmdText
        objCmd.CommandTimeout   = 0
        '// Parameters
        objCmd.Parameters(0) = Session.Contents("user_name")
        objCmd.Parameters(1) = user_pass
        objCmd.Parameters(2) = x_auth_cls
        objCmd.Parameters(3) = x_admin_cls
        objCmd.Parameters(4) = x_comments
        objCmd.Parameters(5) = user_cd
    Else
        '// SQL Statement
        sql_stat = ""
        sql_stat = sql_stat & "UPDATE dxt_user            "
        sql_stat = sql_stat & "   SET rec_date  = SYSDATE "
        sql_stat = sql_stat & "     , rec_user  = ?       "
        sql_stat = sql_stat & "     , auth_cls  = ?       "
        sql_stat = sql_stat & "     , admin_cls = ?       "
        sql_stat = sql_stat & "     , comments  = ?       "
        sql_stat = sql_stat & " WHERE user_cd   = ?       "
        '// ADODB.Command
        objCmd.ActiveConnection = objADO
        objCmd.CommandText      = sql_stat
        objCmd.CommandType      = adCmdText
        objCmd.CommandTimeout   = 0
        '// Parameters
        objCmd.Parameters(0) = Session.Contents("user_name")
        objCmd.Parameters(1) = x_auth_cls
        objCmd.Parameters(2) = x_admin_cls
        objCmd.Parameters(3) = x_comments
        objCmd.Parameters(4) = user_cd
    End If

    '// Execute SQL
    Set rec = objCmd.Execute()

    '// Result
    If Err Then
        err_msg = "[ERROR] " & Err.Number & " : " & Err.Description
    End If

    '// Close
    objADO.Close

    If err_msg = "" Then
        x_rec_date  = ""
        x_rec_user  = ""
        x_user_name = ""
        x_user_pass = ""
        x_auth_cls  = ""
        x_admin_cls = ""
        x_comments  = ""
        Response.Redirect "menu_user.asp"
    End If

End If
%>
<body>
<!-- #include file="page_title.asp" -->
<!-- #include file="page_menu.asp" -->
<form name="form1" method="post" class="menu_user">
<div class="wrapper">
    <!-- #include file="page_hidden.asp" -->
    <input type="hidden" name="x_rec_date" value="<%=x_rec_date%>">
    <input type="hidden" name="x_rec_user" value="<%=x_rec_user%>">
    <input type="hidden" name="x_user_name" value="<%=x_user_name%>">
    <div class="name">更新日時</div>
    <div class="form"><input type="text" value="<%=x_rec_date%>" disabled></div>
    <div class="name">更新者</div>
    <div class="form"><input type="text" value="<%=x_rec_user%>" disabled></div>
    <div class="name">ユーザー名</div>
    <div class="form"><input type="text" value="<%=x_user_name%>" disabled></div>
    <div class="name">パスワード</div>
    <div class="form"><input type="password" name="x_user_pass" value="<%=x_user_pass%>" <%if x_auth_cls="2" then%>disabled<%end if%> autofocus>&nbsp;※ブランクの時は変更なし</div>
    <div class="name">認証区分</div>
    <div class="form">
        <select disabled>
            <option value="1" <%if x_auth_cls="1" then%>selected<%end if%>>1:独自認証</option>
            <option value="2" <%if x_auth_cls="2" then%>selected<%end if%>>2:AD認証</option>
        </select>
    </div>
    <input type="hidden" name="x_auth_cls" value="<%=x_auth_cls%>">
    <div class="name">管理者区分</div>
    <div class="form">
        <select name="x_admin_cls">
            <option value="1" <%if x_admin_cls=1 then%>selected<%end if%>>1:管理者</option>
            <option value="2" <%if x_admin_cls=2 then%>selected<%end if%>>2:非管理者</option>
        </select>
    </div>
    <div class="name">コメント</div>
    <div class="form"><input type="text" name="x_comments" value="<%=x_comments%>"></div>
    <input type="button" class="add_btn" value="変更" onclick="user_update();">
    <!-- エラー・メッセージ -->
    <p id="err"><%=err_msg%></p>
</div>
</form>
<script src="menu_user_chg.js"></script>
</body>
</html>
