<?xml version="1.0" encoding="utf-8" standalone="yes"?>
<table_data>
<!-- #include file="common.asp" -->
<!-- #include file="xl_session_check.asp" -->
<%
'//-------------------------------------------------------------------------//
'// データ
'//-------------------------------------------------------------------------//
If session_check = "OK" Then

    response_ok = "NG"

    '// 日付時刻(YYYYMMDDHHMISSFFF)
    date_time = Date & Right("0" & Time, 8) & Right("000" & Round(Timer - Fix(Timer), 3) * 1000, 3)
    date_time = Replace(date_time, "/", "")
    date_time = Replace(date_time, "-", "")
    date_time = Replace(date_time, ":", "")
    date_time = Replace(date_time, ".", "")

    '// ファイルID
    file_id = "D" & date_time & "_" & host_cd & "_" & Session.SessionID
    xml_path = Server.MapPath("./xml/" & file_id & ".xml")

    '//------------------------------------------------------------//
    '// 接続情報
    '//------------------------------------------------------------//

    '// Open
    objADO.Open repository_conn

    '// SQL Statement
    sql_stat = ""
    sql_stat = sql_stat & "SELECT T3.odbc_name                                                     "
    sql_stat = sql_stat & "     , T3.odbc_user                                                     "
    sql_stat = sql_stat & "     , T4.odbc_pass                                                     "
    sql_stat = sql_stat & "     , T3.sql_text                                                      "
    sql_stat = sql_stat & "     , T3.page_size                                                     "
    sql_stat = sql_stat & "  FROM dxt_user T1                                                      "
    sql_stat = sql_stat & "       LEFT OUTER JOIN dxt_udat T2                                      "
    sql_stat = sql_stat & "         ON T1.user_name = T2.user_name AND T1.admin_cls = 2            "
    sql_stat = sql_stat & "       LEFT OUTER JOIN dxt_data T3                                      "
    sql_stat = sql_stat & "         ON DECODE(T1.admin_cls,1,T3.data_id,T2.data_id) = T3.data_id   "
    sql_stat = sql_stat & "       LEFT OUTER JOIN dxt_odbc T4                                      "
    sql_stat = sql_stat & "         ON T3.odbc_name = T4.odbc_name AND T3.odbc_user = T4.odbc_user "
    sql_stat = sql_stat & " WHERE T1.user_cd = ?                                                   "
    sql_stat = sql_stat & "   AND T3.data_cd = ?                                                   "

    '// ADODB.Command
    objCmd.ActiveConnection = objADO
    objCmd.CommandText      = sql_stat
    objCmd.CommandType      = adCmdText
    objCmd.CommandTimeout   = 0

    '// Parameters
    objCmd.Parameters(0) = user_cd
    objCmd.Parameters(1) = data_cd

    '// Execute SQL
    Set rec = objCmd.Execute()

    '// 暗号キー（データベース用）
    key = key_db()
    iv  = Left(key, 32)

    '// Fields.Value
    If Not rec.EOF Then
        response_ok = "OK"
        odbc_name = rec("ODBC_NAME")
        odbc_user = rec("ODBC_USER")
        odbc_pass = decrypt(rec("ODBC_PASS"), iv, key)
        sql_text  = rec("SQL_TEXT")
        page_size = rec("PAGE_SIZE")
    End If

    '// Close
    objADO.Close

    '//------------------------------------------------------------//
    '// データ取得 → ファイル保存
    '//------------------------------------------------------------//

    If response_ok = "OK" Then

        '// Open
        connection_string = "Provider=MSDASQL;Data Source=" & odbc_name & ";User ID=" & odbc_user & ";Password=" & odbc_pass & ";"
        objADO.Open connection_string
        objADO.CommandTimeout = 0

        file_no = 0

        '// RowsetSchema ファイル作成
        If page_size = 0 Then
            '// 一括ファイル保存
            Set objRS = objADO.Execute(sql_text)
            objRS.Save xml_path, adPersistXML
        Else
            '// ファイル保存（テーブル定義）
            Set objRS = CreateObject("ADODB.Recordset")
            objRS.MaxRecords = 1
            objRS.Open sql_text, connection_string, adOpenStatic, adLockReadOnly, adCmdText
            objRS.Filter = "[" & objRS.Fields(0).Name & "] <> '" & objRS.Fields(0).Value & "'"
            objRS.Save xml_path, adPersistXML
            objRS.Close

            '// Execute SQL
            Set objRS = objADO.Execute(sql_text)

            ReDim FieldList(objRS.Fields.Count - 1)
            ReDim Values(objRS.Fields.Count - 1)

            '// Fields.Name
            n = 0
            For Each objField In objRS.Fields
                FieldList(n) = objField.Name
                n = n + 1
            Next

            '// Recordset → ファイル分割
            Do Until objRS.EOF

                objData.Open xml_path, , adOpenKeyset, adLockOptimistic

                For row_no = 1 To page_size
                    '// GetRows → ２次元配列
                    aryRows = objRS.GetRows(1, adBookmarkCurrent)
                    '// ２次元配列 → １次元配列
                    For col_no = 0 To UBound(aryRows, 1)
                        Values(col_no) = aryRows(col_no, 0)
                    Next
                    '// レコード追加
                    objData.AddNew FieldList, Values
                    '// 終了
                    If objRS.EOF Then Exit For
                Next

                '// 分割ファイル保存
                file_no = file_no + 1
                xml_data = Server.MapPath("./xml/" & file_id & "_" & file_no & ".xml")
                objData.Save xml_data, adPersistXML
                objData.Close

            Loop

        End If

        '// Close
        objADO.Close

        If fso.FileExists(xml_path) Then
            Response.Write "<file_ckeck>OK</file_ckeck>"
            Response.Write "<file_id>" & file_id & "</file_id>"
            Response.Write "<file_no>" & file_no & "</file_no>"
        Else
            Response.Write "<file_ckeck>NG</file_ckeck>"
        End If

    Else
        Response.Write "<file_ckeck>NG</file_ckeck>"
    End If

End If
%>
</table_data>
